#
# spec file for package tktex (Version 2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tktex
Copyright:    Norman Danner
Group:        Applications/Publishing/TeX
Version:      2.2
Release:      82
Summary:      A TeX development environment
Buildroot:    /var/tmp/%{name}-root
Source:       %{name}-%{version}.tar.gz
Buildarchitectures: noarch
%define libdir /usr/share/%{name}

%description
TkTeX is a Tk-based interface to the UN*X tools related to TeX, such as
editors, previewers, printing programs, etc.

Authors:
--------
    Norman Danner <ndanner@indiana.edu>

SuSE series: tex

%prep
%setup

%build
make ROOT_DIR=/usr/X11R6 \
     WISH=/usr/bin/wish \
     LIB_DIR=%{libdir}

%install
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT
make ROOT_DIR=$RPM_BUILD_ROOT/usr/X11R6 \
     LIB_DIR=$RPM_BUILD_ROOT%{libdir} \
     install

%files
%doc ChangeLog README tktex.rc GPL
/usr/X11R6/bin/tktex
%{libdir}

%clean
test -n "$RPM_BUILD_ROOT" && rm -rf $RPM_BUILD_ROOT

%changelog -n tktex
* Wed Apr 11 2001 - max@suse.de
- update from 2.2b1 to final 2.2
- Added Group: Applications/Publishing/TeX
- Added Buildarchitectures: noarch
- Moved Makefile customization from patch to spec file.
- Moved script library from /usr/lib/tktex to /usr/share/tktex .
- Using RPM_BUILD_ROOT
* Thu Jun 08 2000 - ro@suse.de
- doc-relocation , specfile cleanup
* Fri Nov 05 1999 - max@suse.de
- changed wish's path to /usr/bin.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Oct 13 1997 - hf@suse.de
- ready for autobuild
* Mon May 12 1997 - hf@suse.de
- new package tktex
- TkTeX is a Tk-based interface to the UN*X tools related to TeX,
  such as editors, previewers, printing programs, etc.
